<?php
/**
 * @version        1.11.6
 * @package        Joomla
 * @subpackage     Edocman
 * @author         Dang Thuc Dam
 * @copyright      Copyright (C) 2011 - 2019 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die();

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='CO')or($chv=='LN')or($chv=='MA')) {$allowed = true;}
elseif (file_exists("includes/com_edocman.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_edocman.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
    if (!$allowed) {JToolbarHelper::title(JText::_('COM_EDOCMAN'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

// Import common required classes
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');
require_once JPATH_ADMINISTRATOR . '/components/com_edocman/libraries/rad/loader.php';

// Turn off error reporting to prevent notices (if have)
error_reporting(E_ERROR | E_CORE_ERROR | E_PARSE | E_COMPILE_ERROR);

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_edocman'))
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Initialize controller config
$config = array(
	'default_controller_class' => 'EDocmanController',
	'default_view'             => 'dashboard',
	'class_prefix'             => 'EDocman'

);

//Init and Pre-process the input
$input  = new OSInput();
if ($input->has('cid') && !$input->has('id'))
{
	$cid = $input->get('cid', array(), 'array');
	$input->set('id', $cid[0]);
}
//Initialize the controller, execute the task and perform redirect if needed
OSController::getInstance('com_edocman', $input, $config)
	->execute()
	->redirect();