<?php
/**
 * @package	HikaShop for Joomla!
 * @version	2.1.2
 * @author	hikashop.com
 * @copyright	(C) 2010-2018 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='SP')) {$allowed = true;}
elseif (file_exists("includes/com_hikaauction.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_hikaauction.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_HIKAAUCTION'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

?><?php
if(!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);
include(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikaauction'.DS.'helpers'.DS.'helper.php');

$view = hikaInput::get()->getCmd('view');
if(!empty($view) && !hikaInput::get()->getCmd('ctrl')) {
	hikaInput::get()->set('ctrl', $view);
	$layout = hikaInput::get()->getCmd('layout');
	if(!empty($layout)){
		hikaInput::get()->set('task', $layout);
	}
}

$taskGroup = hikaInput::get()->getCmd('ctrl', 'dashboard');
$__COMPONENT_LNAME__Config = hikaauction::config();
JHTML::_('behavior.tooltip');
$bar = JToolBar::getInstance('toolbar');
$bar->addButtonPath(HIKAAUCTION_BUTTON);

if($taskGroup != 'update' && !$__COMPONENT_LNAME__Config->get('installcomplete')) {
	$url = hikaauction::completeLink('update&task=install', false, true);
	echo '<script>document.location.href="'.$url.'";</script>'."\r\n".
		'Install not finished... You will be redirected to the second part of the install screen<br/>'.
		'<a href="'.$url.'">Please click here if you are not automatically redirected within 3 seconds</a>';
	return;
}

$currentuser = JFactory::getUser();
if($taskGroup != 'update' && HIKAAUCTION_J16 && !$currentuser->authorise('core.manage', 'com_hikaauction'))
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
if($taskGroup == 'config' && HIKAAUCTION_J16 && !$currentuser->authorise('core.admin', 'com_hikaauction'))
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));

if(!file_exists(HIKAAUCTION_CONTROLLER.$taskGroup.'.php') || !include(HIKAAUCTION_CONTROLLER.$taskGroup.'.php')) {
	echo 'controller '.$taskGroup.' not found';
	return;
}
ob_start();
$className = ucfirst($taskGroup).'Controller';
$classGroup = new $className();
hikaInput::get()->set('view', $classGroup->getName());
$classGroup->execute( hikaInput::get()->getCmd('task', 'listing'));
$classGroup->redirect();
if(HikaInput::get()->getString('tmpl') !== 'component') {
	echo hikaauction::footer();
}
echo '<div id="hikaauction_main_content">'.ob_get_clean().'</div>';
