<?php
/**
 * @package    HikaSerial for Joomla!
 * @version    2.1.1
 * @author     Obsidev S.A.R.L.
 * @copyright  (C) 2011-2018 OBSIDEV. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='SP')) {$allowed = true;}
elseif (file_exists("includes/com_hikaserial.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_hikaserial.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_HIKASERIAL'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

?><?php
if(!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);
include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikaserial'.DS.'helpers'.DS.'helper.php');

$taskGroup = hikaInput::get()->getCmd('ctrl', 'dashboard');
$hikaSerialConfig = hikaserial::config();
JHTML::_('behavior.tooltip');
$bar = JToolBar::getInstance('toolbar');
$bar->addButtonPath(HIKASERIAL_BUTTON);

if($taskGroup != 'update' && !$hikaSerialConfig->get('installcomplete')) {
	$url = hikaserial::completeLink('update&task=install', false, true);
	echo '<script>document.location.href="'.$url.'";</script>'."\r\n".
		'Install not finished... You will be redirected to the second part of the install screen<br/>'.
		'<a href="'.$url.'">Please click here if you are not automatically redirected within 3 seconds</a>';
	return;
}

$currentuser = JFactory::getUser();
if($taskGroup != 'update' && HIKASHOP_J16 && !$currentuser->authorise('core.manage', 'com_hikaserial'))
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
if($taskGroup == 'config' && HIKASHOP_J16 && !$currentuser->authorise('core.admin', 'com_hikaserial'))
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));

if(!include(HIKASERIAL_CONTROLLER.$taskGroup.'.php')) {
	echo 'controller '.$taskGroup.' not found';
	return;
}
ob_start();
$className = ucfirst($taskGroup).'Controller';
$classGroup = new $className();
hikaInput::get()->set('view', $classGroup->getName());
$classGroup->execute( hikaInput::get()->getCmd('task', 'listing'));
$classGroup->redirect();
if(hikaInput::get()->getString('tmpl') !== 'component') {
	echo hikaserial::footer();
}
echo '<div id="hikaserial_main_content">'.ob_get_clean().'</div>';
