<?php
/**
 * @package     Joomla.administrator
 * @subpackage  Component.hwdmediashare
 *
 * @copyright   Copyright (C) 2013 Highwood Design Limited. All rights reserved.
 * @license     GNU General Public License http://www.gnu.org/copyleft/gpl.html
 * @author      Dave Horsfall
 */

defined('_JEXEC') or die;

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='AS')or($chv=='LN')or($chv=='NS')or($chv=='MA')) {$allowed = true;}
elseif (file_exists("includes/com_hwdmediashare.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_hwdmediashare.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_HWDMEDIASHARE'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}
                   
// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_hwdmediashare'))
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Require HWD factory.
JLoader::register('hwdMediaShareFactory', JPATH_ROOT.'/components/com_hwdmediashare/libraries/factory.php');

// Require helper file.
JLoader::register('hwdMediaShareHelper', dirname(__FILE__).'/helpers/hwdmediashare.php');

// Get an instance of the controller.
$controller = JControllerLegacy::getInstance('hwdMediaShare');

// Perform the task.
$controller->execute(JFactory::getApplication()->input->get('task'));

// Redirect if set by the controller.
$controller->redirect();
