<?php
/**
 * @package		JoomISP
 * @subpackage	Component
 * @author		Jonas Brand, Roland Meier, Norbert Schad <support@joomisp.de>
 * @copyright	(C) since 2007 JoomISP. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @link		https://joomisp.de
 */
defined('_JEXEC') or die;

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')) {$allowed = true;}
elseif (file_exists("includes/com_joomisp.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_joomisp.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_JOOMISP'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

JLoader::register('JoomISPHelperSite', JPATH_COMPONENT_SITE . '/helpers/joomisp.php');
JLoader::register('JoomISPHelper', dirname(__FILE__) . '/helpers/joomisp.php');
JLoader::register('JoomISPHelperHTML', dirname(__FILE__) . '/helpers/html.php');
JLoader::register('JoomISPHelperAccounting', JPATH_COMPONENT_SITE . '/helpers/accounting.php');
JLoader::register('JoomISPCustomFields', dirname(__FILE__) . '/helpers/customfields.php');

// Add debug messages to Joomla debug plugin.
if (JDEBUG && JPluginHelper::isEnabled('system', 'debug'))
{
	PlgSystemDebug::addDisplayCallback('joomisp', function () {
		$session = JFactory::getSession();
		$msg = $session->get('debug', 'no details available', 'com_joomisp');
		$session->set('debug', null, 'com_joomisp');

		return $msg;
	});
}

// TODO: Can be removed once we use standard forms; clean css file as well.
$doc = JFactory::getDocument();
$doc->addStyleSheet('components/com_joomisp/assets/css/joomisp.css');
$doc->addStyleSheet('components/com_joomisp/assets/fonts/style.css');

$controller = JControllerLegacy::getInstance('joomisp');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
