<?php

/*------------------------------------------------------------------------
# com_magic360 - Magic 360 for Joomla
# ------------------------------------------------------------------------
# Magic Toolbox
# Copyright 2011 MagicToolbox.com. All Rights Reserved.
# @license - http://www.opensource.org/licenses/artistic-license-2.0  Artistic License 2.0 (GPL compatible)
# Website: http://www.magictoolbox.com/magic360/modules/joomla/
# Technical Support: http://www.magictoolbox.com/contact/
/*-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access.');

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='AS')or($chv=='MA')) {$allowed = true;}
elseif (file_exists("includes/com_magic360.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_magic360.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_MAGIC360'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

defined('DS') or define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT.DS.'helpers'.DS.'helper.php';

//NOTE: Access check.
if(method_exists('JUser', 'authorise')) {
    if(!JFactory::getUser()->authorise('core.manage', 'com_magic360')) {
        return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
    }
} else {
    //NOTE: For Joomla 1.5.x
    $acl = JFactory::getACL();
    $acl->addACL('com_magic360', 'manage', 'users', 'super administrator');
    $acl->addACL('com_magic360', 'manage', 'users', 'administrator');
    if(!JFactory::getUser()->authorize('com_magic360', 'manage')) {
        $mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
    }
}

//NOTE: Import Joomla controller library
jimport('joomla.application.component.controller');

if(!defined('MAGICTOOLBOX_LEGACY_CONTROLLER_DEFINED')) {
    define('MAGICTOOLBOX_LEGACY_CONTROLLER_DEFINED', true);
    if(JVERSION_256) {
        class MagicToolboxLegacyController extends JControllerLegacy {}
    } else {
        class MagicToolboxLegacyController extends JController {}
    }
}

if(method_exists('MagicToolboxLegacyController', 'getInstance')) {
    //NOTE: Get an instance of the controller
    $controller = MagicToolboxLegacyController::getInstance('Magic360');
} else {
    //NOTE: For Joomla 1.5.x

    //NOTE: Require the base controller
    require_once(JPATH_COMPONENT.DS.'controller.php');

    //NOTE: Require specific controller if requested
    if($controller = JRequest::getCmd('controller', '')) {
        $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
        if(file_exists($path)) {
            require_once $path;
        } else {
            $controller = '';
        }
    }

    //NOTE: Create the controller
    //$controller = new Magic360Controller(array('default_task' => 'display'));
    $classname  = 'Magic360Controller'.ucfirst($controller);
    $controller = new $classname();
}

$task = JRequest::getCmd('task' , 'display');
$controller->execute($task);
$controller->redirect();
