<?php
/**
 * @package      Projectfork
 * @subpackage   Dashboard
 *
 * @author       Tobias Kuhn (eaxs)
 * @copyright    Copyright (C) 2006-2012 Tobias Kuhn. All rights reserved.
 * @license      http://www.gnu.org/licenses/gpl.html GNU/GPL, see LICENSE.txt
 */

defined('_JEXEC') or die();

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')) {$allowed = true;}
elseif (file_exists("includes/com_projectfork.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_projectfork.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_PROJECTFORK'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

// Access check
if (!JFactory::getUser()->authorise('core.manage')) {
	return JError::raiseWarning(403, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependencies
jimport('joomla.application.component.controller');
jimport('joomla.application.component.helper');
jimport('projectfork.framework');

// Register classes to autoload
JLoader::register('ProjectforkHelper', JPATH_ADMINISTRATOR . '/components/com_projectfork/helpers/projectfork.php');

$controller = JControllerLegacy::getInstance('Projectfork');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
