<?php
/**
 * @package    RSTickets! Pro
 *
 * @copyright  (c) 2010 - 2016 RSJoomla!
 * @link       https://www.rsjoomla.com
 * @license    GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='CO')or($chv=='LN')) {$allowed = true;}
elseif (file_exists("includes/com_rsticketspro.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_rsticketspro.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_RSTICKETSPRO'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

$app = JFactory::getApplication();
// Access check.
$user = JFactory::getUser();
if (!$user->authorise('core.manage', 'com_rsticketspro')) {
    throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'), 403);
}

$lang 		= JFactory::getLanguage();
$document   = JFactory::getDocument();

// load frontend
$lang->load('com_rsticketspro', JPATH_SITE, 'en-GB', true);
$lang->load('com_rsticketspro', JPATH_SITE, $lang->getDefault(), true);
$lang->load('com_rsticketspro', JPATH_SITE, null, true);

// load backend
$lang->load('com_rsticketspro', JPATH_ADMINISTRATOR, 'en-GB', true);
$lang->load('com_rsticketspro', JPATH_ADMINISTRATOR, $lang->getDefault(), true);
$lang->load('com_rsticketspro', JPATH_ADMINISTRATOR, null, true);

// Require helper files
require_once JPATH_COMPONENT.'/helpers/adapter.php';
require_once JPATH_COMPONENT.'/helpers/rsticketspro.php';
require_once JPATH_SITE.'/administrator/components/com_rsticketspro/helpers/html.php';

// add the css
JHtml::stylesheet('com_rsticketspro/main.css', array('relative' => true));
JHtml::stylesheet('com_rsticketspro/rsticketspro.css', array('relative' => true));
// add the js
JHtml::script('com_rsticketspro/rsticketspro.js', array('relative' => true));

// Require the base controller
require_once JPATH_COMPONENT.'/controller.php';

$controller	= JControllerLegacy::getInstance('Rsticketspro');
$task = $app->input->get('task');
$controller->execute($task);
$controller->redirect();