<?php
/**
 * @package		Joomla.Plugin
 * @subpackage	System.Jbtype
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Copyright (C) 2013 Joomlabamboo. All rights reserved.. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		${jb.latest}
 */

defined("_JEXEC") or die ("Restricted Access");

$uriBase = JURI::base(true);

$jbTypeStyles = array(
	"core" => array(
		// Boxes
		"s_blackbox"  => ".s_blackbox {border: 1px solid #ddd;border-left: 8px solid #333;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_blackbox {border: 1px solid #ddd;border-right: 8px solid #333;}" ,
		"s_greenbox"  => ".s_greenbox {border: 1px solid #ddd;border-left: 8px solid #CDD452;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_greenbox {border: 1px solid #ddd;border-right: 8px solid #CDD452;}" ,
		"s_bluebox"   => ".s_bluebox {border: 1px solid #ddd;border-left: 8px solid #417378;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_bluebox {border: 1px solid #ddd;border-right: 8px solid #417378;}" ,
		"s_redbox"    => ".s_redbox {border: 1px solid #ddd;border-left: 8px solid #521218;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_redbox {border: 1px solid #ddd;border-right: 8px solid #521218;}" ,
		"s_yellowbox" => ".s_yellowbox {border: 1px solid #ddd;border-left: 8px solid #F2F096;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_yellowbox {border: 1px solid #ddd;border-right: 8px solid #F2F096;}" ,
		"s_brownbox"  => ".s_brownbox {border: 1px solid #ddd;border-left: 8px solid #B05A3A;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_brownbox {border: 1px solid #ddd;border-right: 8px solid #B05A3A;}" ,
		"s_purplebox" => ".s_purplebox {border: 1px solid #ddd;border-left: 8px solid #7F176B;padding: 8px;background: #fafafa;margin: 10px 0 20px}.rtl .s_purplebox {border: 1px solid #ddd;border-right: 8px solid #7F176B;}" ,

		// Typography
		"s_dropcap" => "span.s_dropcap {font-size:80px;display:block;float:left;padding:24px 16px 16px 0;margin:0;color: #666;}" ,

		// Layout
		"s_left45"  => ".s_left45 {float: left;width: 45%;margin: 30px 10px 30px 0;border: 1px solid #eee;border-width: 8px 0;padding: 10px 0}" ,
		"s_right45" => ".s_right45 {float: right;width: 45%;margin: 30px 10px 30px 0;border: 1px solid #eee;border-width: 8px 0;padding: 10px 0}" ,
		"s_clear"   => ".jbclear {clear: both;height: 20px}",

		// Spans
		"s_black"  => "span.s_black {color: #000}" ,
		"s_blue"   => "span.s_blue {color: #417378}" ,
		"s_red"    => "span.s_red {color: #521218}" ,
		"s_green"  => "span.s_green {color: #CDD452}" ,
		"s_yellow" => "span.s_yellow {color: #F2F096}" ,
		"s_white"  => "span.s_white {color: #ddd}" ,
		"s_brown"  => "span.s_brown,li.s_brown {color: #B05A3A}" ,
		"s_purple" => "span.s_purple {color: #7F176B}" ,

		"s_img"  => '' ,
		"zenbutton"  => '' ,
		"s_i"    => '' ,
		"s_b"    => '' ,
		"s_span" => '' ,
		"s_br"   => '' ,
		"s_breakout"   => '' ,
		"s_action"   => '' ,
		'grid1'  => '' ,
		'grid2'  => '' ,
		'grid3'  => '' ,
		'grid4'  => '' ,
		'grid5'  => '' ,
		'grid6'  => '' ,
		'grid7'  => '' ,
		'grid8'  => '' ,
		'grid9'  => '' ,
		'grid10'  => '' ,
		'grid11'  => '' ,
		'grid12'  => '' ,

		// ZenlastStyle
		'grid1_last'  => '' ,
		'grid2_last'  => '' ,
		'grid3_last'  => '' ,
		'grid4_last'  => '' ,
		'grid5_last'  => '' ,
		'grid6_last'  => '' ,
		'grid7_last'  => '' ,
		'grid8_last'  => '' ,
		'grid9_last'  => '' ,
		'grid10_last' => '' ,
		'grid11_last' => '' ,
		'grid12_last' => '' ,


		// Lists
		"s_listblack"  => "ul.s_black li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/black.png) no-repeat left center;}" ,
		"s_listblue"   => "ul.s_blue li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/blue.png) no-repeat left center;}" ,
		"s_listred"    => "ul.s_red li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/red.png) no-repeat left center;}" ,
		"s_listgreen"  => "ul.s_green li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/green.png) no-repeat left center;}" ,
		"s_listyellow" => "ul.s_yellow li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/yellow.png) no-repeat left center;}",
		"s_listwhite"  => "ul.s_white li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/white.png) no-repeat left center;}" ,
		"s_listbrown"  => "ul.s_brown li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/brown.png) no-repeat left center;}" ,
		"s_listpurple" => "ul.s_purple li{list-style-type:none;padding:4px 0 4px 16px;background: url(".$uriBase."/media/jbtype/images/coquette/purple.png) no-repeat left center;}"
		),
	"coquette" => array(

		// Typography
		"s_quote"      => "blockquote {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/coquette/quoteL.png) no-repeat;padding-right: 30px;margin-bottom: 30px}\n blockquote p {background: url(".$uriBase."/media/jbtype/images/coquette/quoteR.png) no-repeat right bottom;}" ,
		"s_quoteleft"  => ".s_quoteleft {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/coquette/quoteL.png) no-repeat;float: left;width: 40%;margin: 0 30px 30px 0}\n .s_quoteleft p {background: url(".$uriBase."/media/jbtype/images/coquette/quoteR.png) no-repeat right bottom;margin: 0;}" ,
		"s_quoteright" => ".s_quoteright {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/coquette/quoteL.png) no-repeat;float: right;width: 40%;margin: 0 0 30px 30px;}\n .s_quoteright p {background: url(".$uriBase."/media/jbtype/images/coquette/quoteR.png) no-repeat right bottom;margin: 0;}" ,
		"s_author"      => "span.s_author {font-size:90%;display:block;text-align:right;font-style:italic;margin:10px 0}" ,


		// Icons
		"s_new"           => ".s_new {background: url(".$uriBase."/media/jbtype/images/coquette/new.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_new {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_code"          => ".s_code {background: url(".$uriBase."/media/jbtype/images/coquette/code.png) no-repeat left center;padding: 20px 20px 20px 80px;display: block;background-color: #fafafa;border: 1px solid #ddd;font-family:inherit} .rtl .s_code {background-position: right center;padding: 8px 60px 8px 8px;} " ,
		"s_attachment"    => ".s_attachment {background: url(".$uriBase."/media/jbtype/images/coquette/attachment.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_attachment {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_calculator"    => ".s_calculator {background: url(".$uriBase."/media/jbtype/images/coquette/calculator.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_calculator {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_cut"           => ".s_cut {background: url(".$uriBase."/media/jbtype/images/coquette/cut.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_cut {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_dollar"        => ".s_dollar {background: url(".$uriBase."/media/jbtype/images/coquette/dollar_currency_sign.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_dollar {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_euro"          => ".s_euro {background: url(".$uriBase."/media/jbtype/images/coquette/euro_currency_sign.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_euro {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_pound"         => ".s_pound {background: url(".$uriBase."/media/jbtype/images/coquette/sterling_pound_currency_sign.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_pound {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_support"       => ".s_support {background: url(".$uriBase."/media/jbtype/images/coquette/support.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_support {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_next"          => ".s_next {background: url(".$uriBase."/media/jbtype/images/coquette/next.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_next {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_previous"      => ".s_previous {background: url(".$uriBase."/media/jbtype/images/coquette/previous.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_previous {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_cart"          => ".s_cart {background: url(".$uriBase."/media/jbtype/images/coquette/cart.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_cart {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_save"          => ".s_save {background: url(".$uriBase."/media/jbtype/images/coquette/save.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_save {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_sound"         => ".s_sound {background: url(".$uriBase."/media/jbtype/images/coquette/sound.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_sound {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_info"          => ".s_info {background: url(".$uriBase."/media/jbtype/images/coquette/info.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_info {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_warning"       => ".s_warning {background: url(".$uriBase."/media/jbtype/images/coquette/warning.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_warning {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_camera"        => ".s_camera {background: url(".$uriBase."/media/jbtype/images/coquette/camera.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_camera {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_comment"       => ".s_comment {background: url(".$uriBase."/media/jbtype/images/coquette/comment.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_comment {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_chat"          => ".s_chat {background: url(".$uriBase."/media/jbtype/images/coquette/chat.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_chat {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_document"      => ".s_document {background: url(".$uriBase."/media/jbtype/images/coquette/document.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_document {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_accessible"    => ".s_accessible {background: url(".$uriBase."/media/jbtype/images/coquette/accessible.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_accessible {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_star"          => ".s_star {background: url(".$uriBase."/media/jbtype/images/coquette/star.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_star {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_heart"         => ".s_heart {background: url(".$uriBase."/media/jbtype/images/coquette/heart.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_heart {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_mail"          => ".s_mail {background: url(".$uriBase."/media/jbtype/images/coquette/mail.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_mail {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_film"          => ".s_film {background: url(".$uriBase."/media/jbtype/images/coquette/film.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_film {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_pin"           => ".s_pin {background: url(".$uriBase."/media/jbtype/images/coquette/pin.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_pin {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_recycle"       => ".s_recycle {background: url(".$uriBase."/media/jbtype/images/coquette/recycle.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_recycle {background-position: right center;padding: 8px 60px 8px 8px;}" ,
		"s_lightbulb"     => ".s_lightbulb {background: url(".$uriBase."/media/jbtype/images/coquette/light_bulb.png) no-repeat left center;padding: 8px 8px 8px 60px;display:block;background-color: #fafafa;border: 1px solid #ddd;} .rtl .s_lightbulb {background-position: right center;padding: 8px 60px 8px 8px;}"
		),

	"orangesticker" => array(

		// Typography
		"s_quote"      => "blockquote {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteL.png) no-repeat;padding-right: 30px;margin-bottom: 30px}\n blockquote p {background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteR.png) no-repeat right bottom;}" ,
		"s_quoteleft"  => ".s_quoteleft {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteL.png) no-repeat;float: left;width: 40%;margin: 0 30px 30px 0}\n .s_quoteleft p {background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteR.png) no-repeat right bottom;margin: 0;}" ,
		"s_quoteright" => ".s_quoteright {font-size: 1.5em;line-height: 1.5em;font-style: italic;padding-left: 50px;background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteL.png) no-repeat;float: right;width: 40%;margin: 0 0 30px 30px;}\n .s_quoteright p {background: url(".$uriBase."/media/jbtype/images/orangesticker/quoteR.png) no-repeat right bottom;margin: 0;}" ,
		"s_author"      => "span.s_author {font-size:90%;display:block;text-align:right;font-style:italic;margin:10px 0}"
		)
);

function getTypeCss($theme, $classArray, $styleArray)
{
	$styleArray['pageset'] = array_merge($styleArray['core'], $styleArray[$theme]);
	$css = '<style type="text/css"><!--span.jbtype {margin-left:.3em}';

	foreach($classArray as $add)
	{
		$css .= $styleArray['pageset'][$add].' ';
	}

	$css .= '--></style>';

	return $css;
}