<?php
/**
 * Attachments component
 *
 * @package Attachments
 * @subpackage Attachments_Component
 *
 * @copyright Copyright (C) 2007-2017 Jonathan M. Cameron, All Rights Reserved
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://joomlacode.org/gf/project/attachments/frs/
 * @author Jonathan M. Cameron
 */

defined('_JEXEC') or die('Restricted access');

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='CO')or($chv=='AS')or($chv=='LN')or($chv=='NS')) {$allowed = true;}
elseif (file_exists("includes/com_attachments.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_attachments.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_ATTACHMENTS'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

/** Define the legacy classes, if necessary */
require_once(JPATH_SITE.'/components/com_attachments/legacy/controller.php');


// Execute the requested task
$controller = JControllerLegacy::getInstance('Attachments');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
