<?php
/**
* CRMery
*
* @author     WebSpark Apps <apps@websparkinc.com>
* @copyright  Copyright (C) 2013 websparkinc.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: http://www.crmery.com
*/

defined('_JEXEC') or die;

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')) {$allowed = true;}
elseif (file_exists("includes/com_crmery.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_crmery.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_CRMERY'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

jimport('joomla.application.component.helper');
jimport('joomla.application.component.model');
jimport('joomla.application.component.controller');

// Require helper files
require_once JPATH_ADMINISTRATOR . '/modules/mod_quickicon/helper.php';

if (version_compare(JVERSION, '3.0', 'lt'))
{
	// Require files for 2.5 to work properly
	require_once 'libraries/jquery.php';
	require_once 'libraries/bootstrap.php';
	require_once 'libraries/inflector.php';

	JHtml::_('bootstrap.loadcss');
}

JLoader::registerPrefix('Crmery', __DIR__);
JLoader::registerPrefix('Crmery', JPATH_SITE . '/components/com_crmery');

// Setup CSS & JS
JHtml::_('jquery.framework');
JHtml::_('jquery.ui');
JHtml::_('bootstrap.framework');

JFactory::getDocument()
	->addStylesheet(JUri::base() . 'components/com_crmery/media/css/admin.css')
	->addStylesheet(JUri::base() . 'components/com_crmery/media/css/jquery.css')
	->addStylesheet(JURI::base() . 'components/com_crmery/media/css/jquery.minicolors.css')

	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.widget.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.mouse.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.sortable.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.dialog.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.slider.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.autocomplete.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.draggable.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.droppable.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.ui.datepicker.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.effects.core.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.effects.highlight.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/jquery.minicolors.js')
	->addScript(JUri::base() . 'components/com_crmery/media/js/crmery.js')
	->addScriptDeclaration("var base_url='" . JUri::root() . "';");

CrmeryHelperTemplate::loadJavascriptLanguage();

// Load plugins
JPluginHelper::importPlugin('crmery');

$app = JFactory::getApplication();

$controller = JControllerLegacy::getInstance('Crmery');
$controller->execute($app->input->get('task'));
$controller->redirect();
