<?php
/**
 * @company		:	BriTech Solutions
 * @created by	:	JoomBri Team
 * @contact		:	www.joombri.in, support@joombri.in
 * @created on	:	12 March 2012
 * @file name	:	jblance.php
 * @copyright   :	Copyright (C) 2012 - 2017 BriTech Solutions. All rights reserved.
 * @license     :	GNU General Public License version 2 or later
 * @author      :	Faisel
 * @description	: 	Entry point for the component (jblance)
 */

// no direct access
defined('_JEXEC') or die;

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')) {$allowed = true;}
elseif (file_exists("includes/com_jblance.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_jblance.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_JBLANCE'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

include_once(JPATH_ADMINISTRATOR.'/components/com_jblance/helpers/jblance.php');	//include this helper file to make the class accessible in all other PHP files
JTable::addIncludePath(JPATH_ADMINISTRATOR.'/components/com_jblance/tables');	//include the tables path in order to use JTable in this controller file

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_jblance')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

$controller	= JControllerLegacy::getInstance('Jblance');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
