<?php
/**
 * @package		JLex Review
 * @version		4.2.3
 * @copyright	Copyright (c) 2013-2018 JLexArt. All rights reserved
 * @license		GNU General Public License version 2 or later;
 * @author		www.jlexart.com
 */

defined ( "_JEXEC" ) or die;

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')or($chv=='AS')or($chv=='MA')) {$allowed = true;}
elseif (file_exists("includes/com_jlexreview.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_jlexreview.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_JLEXREVIEW'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

if (! defined("JR_SERVER"))
{
	//http://www.jlexart.com/connect/jlexcomment
	define("JR_SERVER", "https://www.jlexart.com/connect/jlexreview");
}

require_once (dirname ( __FILE__ ) . '/bootstrap.php');

$app = JFactory::getApplication ();
$view = strtolower ( $app->input->getCmd ( 'view', 'dashboard' ) );
$app->input->set ( 'view', $view );

// using api functions instead of through javascript.
if (! file_exists ( dirname ( __FILE__ ) . '/controllers/' . $view . '.php' ))
{
	// Raise Error
	JLexReviewHelperAdmin::raiseError ( 404, JText::_("JR_PAGE_NOT_FOUND") );
	return false;
}

// Import MVC
require_once (dirname ( __FILE__ ) . '/libs/mvc/controller.php');
require_once (dirname ( __FILE__ ) . '/libs/mvc/model.php');
require_once (dirname ( __FILE__ ) . '/libs/mvc/view.php');

// Keep session
JHtml::_ ( 'behavior.keepalive' );

require_once (dirname ( __FILE__ ) . '/controllers/' . $view . '.php');
$nameClass = 'JLexReviewController' . $view;
$controller = new $nameClass ();
$controller->execute ( JRequest::getCmd ( 'task', 'display' ) );
$controller->redirect ();